아파치 index.php 다운로드

내 아파치2/PHP5에 몇 가지 어려움을 겪고 있어요. 모든 것이 잘 구성되고 작동했지만 apache2를 다시 설치한 후에는 PHP 파일이 해석되지 않고 표시됩니다. “웹 사이트 옵션”의 “PHP 스크립트 실행 모드”가 FCGId(즉, 기본 옵션)로 설정된 경우 php 파일이 실행되는 대신 다운로드됩니다. mod_php 설정, 문제를 해결하지만, 나는 워드 프레스와 권한 문제가 – 업데이트하거나 플러그인을 설치할 수 없습니다. 나는 777에 모든 폴더의 권한을 설정하거나 (나 같은 noob도 큰 아니오 알고있다) 또는 www-data에 public_html 폴더 내부의 모든 소유권을 변경, 나는 기본 우분투 사용자이해, 하지만 내가 본 것에서, 이것은 또한 보안 위험. 그것은 제대로 실행하지만 난 아파치에서 .php 파일을 요청, 그것은 PHP 스크립트를 실행하지 않고 제공합니다. 나는 우분투 16.04 VPS에 가상 민이 설치되어 있습니다. 나는 PHP 버전 7.2로 업그레이드. 그 직후, 나는 우분투 버전을 업데이트하고 `커널 오프셋 : 비활성화`-오류를 쳤다. 그래서 나는 최신 우분투 버전을 삭제 이동했다, – 내 OS가 다시 부팅 할 때 : 붐! 나는 그의 게시물에 대해 이야기하는 오류를 얻었다 : 내 VPS의 모든 사이트에 대해, 그것은 단순히 그것을 보여주는 대신 index.php를 다운로드.

.php 확장이 있는 페이지를 보려고 할 때 페이지가 로컬 드라이브에 저장을 시도하거나 브라우저에 PHP 코드를 표시한다는 것을 알아내기 위해 Apache 2를 사용하여 웹 서버를 설정한 횟수는 몇 번입니까? 이것은 여러 수준에서 나쁘다. 우선, 귀하의 웹사이트가 제대로 작동하지 않습니다. 더 나쁜 것은 누군가가 당신의 코드를 직접 엿볼 수 있다는 생각입니다. 아파치 2 웹 서버PHP 파일을 실행 하지 못하는 경우, 신속 하 게이 문제를 해결 하는 방법을 알아봅니다. 여기에 같은, 나는 Virtualmin이 할 말했다 권장 업데이트를 수행 한 후이 에 3 일을 보냈다, 지금 내 모든 사이트가 다운, 나는 모든 것을 시도하고 호스팅 된 모든 사이트에 모든 PHP 파일을 실행하는 대신 다운로드 할 수 있습니다. 나는 모든 것을 시도하고 위의 siad로 – 이것은 내가 Virtualmin을 사용하는 이유입니다, 그래서 나는이 처리 할 필요가 없습니다. 한 번의 클릭으로 – 업데이트는 나에게 일 비용과 도움이나 답변이 없습니다. 난 그냥 입고 있어.

파일을 실행하는 대신 .php 파일을 다운로드하라는 메시지가 표시되면 여기에 완벽한 솔루션이 있습니다 : PHP5를 이미 설치했으며 여전히이 오류가 있다고 가정합니다.

BHTA Approved Trusted Trader Serving Tameside and Greater Manchester Free survey next day installations 7 Days a week PHONE NOW

Follow Us

Facebooktwittergoogle_plusyoutube

Sharing

Facebooktwittergoogle_plus